umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
FindNamedClassConsumer Class Reference
Inheritance diagram for FindNamedClassConsumer:

## Public Member Functions
| FindNamedClassConsumer (ASTContext *Context)
virtual void | HandleTranslationUnit (clang::ASTContext &Context)

## Private Attributes
FindNamedClassVisitor | Visitor

## Constructor & Destructor Documentation

## ◆ FindNamedClassConsumer()

FindNamedClassConsumer::FindNamedClassConsumer | ( | ASTContext * | Context | ) |
| inline explicit

## Member Function Documentation

## ◆ HandleTranslationUnit()

virtual void FindNamedClassConsumer::HandleTranslationUnit | ( | clang::ASTContext & | Context | ) |
| inline virtual

## Member Data Documentation

## ◆ Visitor

FindNamedClassVisitor FindNamedClassConsumer::Visitor
| private

The documentation for this class was generated from the following file:

- unittests/testllvmparser.cpp